#ifndef OOC_CLASS_PRIVATE_H
#define OOC_CLASS_PRIVATE_H

#include "common.h"

struct OOC_Class
{
  size_t size;
  void *(*ctor) (OOC_Class_t *self, va_list *app);
  void *(*dtor) (OOC_Class_t *self);
  void *(*clone) (const OOC_Class_t *self);
  bool (*differ) (const OOC_Class_t *self, const OOC_Class_t *b);
};

#endif /* OOC_CLASS_PRIVATE_H */

