#ifndef	OOC_STRING_H
#define	OOC_STRING_H

#include "common.h"

typedef void OOC_String_t;

extern const void *OOC_String;

const char *OOC_String_c_str (const OOC_String_t *_self);

void OOC_String_append_ooc (OOC_String_t *_self, const OOC_String_t *_b);
void OOC_String_append (OOC_String_t *_self, const char *str);


void OOC_String_assign (OOC_String_t *_self, const char *str);
void OOC_String_assign_to (OOC_String_t *_self, const char *str, const size_t to);

void OOC_String_erase (OOC_String_t *_self);

bool OOC_String_empty (const OOC_String_t *_self);

int OOC_String_compare (const OOC_String_t *_self, const char* str);

size_t OOC_String_length (const OOC_String_t *_self);

char *OOC_String_at (OOC_String_t *_self, size_t loc);
const char *OOC_String_at_const (const OOC_String_t *_self, size_t loc);



#endif /* OOC_STRING_H */

